---
title: "Fetch Identity data"
url: "https://developer.incode.com/api-reference/b2b-v1-identities/"
section: "api-reference"
group: "Onboarding"
version: "v1.1"
status: "live"
endpoint: "GET /omni/b2b/v1/identities/{id}"
---
# Fetch Identity data

`GET /omni/b2b/v1/identities/{id}`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

Fetches data associated with identity, which was gathered in onboarding.
Works with <Glossary>Admin Token</Glossary>.

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | string | yes |  |
| `api-version` | header | string | yes |  |

## Responses

### 200

OK

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `identityId` | string |  |  |
| `originalSessionId` | string |  |  |
| `ocrData` | IdentityOcrData |  |  |
| `ocrData.name` | string |  |  |
| `ocrData.phone` | string |  |  |
| `ocrData.email` | string |  |  |
| `ocrData.dateOfBirth` | string |  |  |
| `ocrData.personalIdNumber` | string |  |  |
| `ocrData.address` | string |  |  |
| `ocrData.nationalNumber` | string |  |  |
| `ocrData.countryCode` | string |  |  |
| `ocrData.documentType` | string |  | Enum: `Unknown`, `Passport`, `Visa`, `DriversLicense`, `IdentificationCard`, `Permit`, `Currency`, `ResidenceDocument`, `TravelDocument`, `BirthCertificate`, `VehicleRegistration`, `Other`, `WeaponLicense`, `TribalIdentification`, `VoterIdentification`, `Military`, `TaxIdentification`, `FederalID`, `MedicalCard` |
| `ocrData.docExpiryDate` | integer (int32) |  |  |

### 400

Bad Request

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `timestamp` | integer (int64) |  | UTC timestamp in milliseconds |
| `status` | integer (int32) |  | Custom error code or HTTP status code |
| `error` | string |  | HTTP status error |
| `message` | string |  | Custom error message |
| `path` | string |  | Endpoint path |
| `details` | object |  | Custom error details |

## Code samples

Generated from this endpoint's method, path, and the conventional Incode headers. The base URL is the Incode demo environment; replace `<YOUR_API_KEY>` with a key for your region.

### cURL

```bash
curl -X GET https://demo-api.incodesmile.com/omni/b2b/v1/identities/{id} \
  -H "x-api-key: <YOUR_API_KEY>" \
  -H "api-version: 1.0"
```

### Node

```js
const res = await fetch("https://demo-api.incodesmile.com/omni/b2b/v1/identities/{id}", {
  method: "GET",
  headers: {
      "x-api-key": "<YOUR_API_KEY>",
      "api-version": "1.0",
  },
});
const data = await res.json();
```

### Python

```python
import requests

headers = {
    "x-api-key": "<YOUR_API_KEY>",
    "api-version": "1.0",
}
res = requests.get("https://demo-api.incodesmile.com/omni/b2b/v1/identities/{id}", headers=headers)
data = res.json()
```

### Java

```java
HttpRequest req = HttpRequest.newBuilder()
    .uri(URI.create("https://demo-api.incodesmile.com/omni/b2b/v1/identities/{id}"))
    .header("x-api-key", "<YOUR_API_KEY>")
    .header("api-version", "1.0")
    .method("GET", HttpRequest.BodyPublishers.noBody())
    .build();
HttpResponse<String> res = HttpClient.newHttpClient()
    .send(req, HttpResponse.BodyHandlers.ofString());
```

### Example response

```json
{
  "success": true,
  "status": "OK"
}
```
